<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
    <link rel="stylesheet" href="/webjars/bootstrap/5.0.0-beta3/css/bootstrap.min.css">
    <script src="/webjars/bootstrap/5.0.0-beta3/js/bootstrap.min.js"></script>
</head>
<body>
<div style="width:60%; margin:0 auto">
    <h1 th:text="${text}" th:if="${text != null}"></h1>
    <div th:object="${owner}">
        <p>Name: <span th:text="*{name}"></span></p>
        <p>Last Name: <span th:text="*{lastname}"></span></p>
        <p>Email: <span th:text="*{email}"></span></p>
        <p>Permissions: </p>
        <p th:each="permission : *{permissions}" th:text="${permission}"></p>
    </div>

    <form th:object="${owner}"
          th:action="@{/owner}"
          method="post">
        <label>Name: </label>
        <input th:field="*{name}"/>
        <br/>
        <label>Last Name: </label>
        <input th:field="*{lastname}"/>
        <br/>
        <label>Email: </label>
        <input th:field="*{email}"/>
        <br/>
        <input type="submit" value="Submit"/>
    </form>

</div>
</body>
</html>